import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import { } from 'd3';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 900;
const height = 600;

const App = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }

  
  return (
    <svg width={width} height={height}>
        <Marks data={data} width={width} height={height} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
